Bug 250353 - emulators/mgba: Update to 0.8.3
Summary: emulators/mgba: Update to 0.8.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://mgba.io/2020/08/03/mgba-0.8.3/
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2020-10-14 21:06 UTC by James Wright
Modified: 2020-10-15 17:23 UTC (History)
2 users (show)

See Also:
greg: maintainer-feedback+
fernape: merge-quarterly+


Attachments
mgba.diff (1.90 KB, patch)
2020-10-14 21:06 UTC, James Wright
no flags Details | Diff
Updated mgba.diff (2.14 KB, patch)
2020-10-15 14:04 UTC, James Wright
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Wright 2020-10-14 21:06:59 UTC
Created attachment 218747 [details]
mgba.diff

Patch to update mgba to latest version (0.8.3)
Comment 1 Fernando Apesteguía freebsd_committer 2020-10-15 10:42:38 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 2 Greg V 2020-10-15 10:45:40 UTC
LGTM
Comment 3 Fernando Apesteguía freebsd_committer 2020-10-15 11:32:33 UTC
^Triage: MFH since it includes many bug fixes
Comment 4 Fernando Apesteguía freebsd_committer 2020-10-15 12:31:29 UTC
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: include/mgba/dllexports.h
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1
Comment 5 James Wright 2020-10-15 14:04:51 UTC
Created attachment 218762 [details]
Updated mgba.diff

Apologies, added missing header file to pkg-plist and updated diff.
Comment 6 commit-hook freebsd_committer 2020-10-15 17:20:53 UTC
A commit references this bug:

Author: fernape
Date: Thu Oct 15 17:20:35 UTC 2020
New revision: 552428
URL: https://svnweb.freebsd.org/changeset/ports/552428

Log:
  emulators/mgba: Update to 0.8.3

  ChangeLog: https://mgba.io/2020/08/03/mgba-0.8.3/

  PR:	250353
  Submitted by:	james.wright@digital-chaos.com
  Reviewed by:	greg@unrelenting.technology (maintainer)
  MFH:	2020Q4 (blanket, bug fix release)

Changes:
  head/emulators/mgba/Makefile
  head/emulators/mgba/distinfo
  head/emulators/mgba/files/
  head/emulators/mgba/pkg-plist
Comment 7 commit-hook freebsd_committer 2020-10-15 17:22:55 UTC
A commit references this bug:

Author: fernape
Date: Thu Oct 15 17:22:39 UTC 2020
New revision: 552429
URL: https://svnweb.freebsd.org/changeset/ports/552429

Log:
  MFH: r552428

  emulators/mgba: Update to 0.8.3

  ChangeLog: https://mgba.io/2020/08/03/mgba-0.8.3/

  PR:	250353
  Submitted by:	james.wright@digital-chaos.com
  Reviewed by:	greg@unrelenting.technology (maintainer)

  Approved by:	ports-secteam (blanket, runtime fix)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/emulators/mgba/Makefile
  branches/2020Q4/emulators/mgba/distinfo
  branches/2020Q4/emulators/mgba/files/
  branches/2020Q4/emulators/mgba/pkg-plist
Comment 8 Fernando Apesteguía freebsd_committer 2020-10-15 17:23:26 UTC
Committed,

Thanks!